import urllib
import pickle
import pylab


site = "http://lxbuild066.cern.ch:6780/"
site = "https://cmsweb.cern.ch/conddb_wttest_7/"

url = site+"iov/getIOVForTag?det=ECAL&service=cms_orcoff_prod&schema=CMS_COND_20X_ECAL&viacache=&tag=EcalPedestals_online&since=43464&till=50000&detail=yes&"


dataHandle = urllib.urlopen(url)
result=dataHandle.read()
#if the result is pickled,
result=pickle.loads(result)
for entry in result:
    token, since, till, summary = entry
    print since, till, token, summary


url = site+"iov/getWhatForTag?det=ECAL&service=cms_orcoff_prod&schema=CMS_COND_20X_ECAL&viacache=&tag=EcalPedestals_online"
dataHandle = urllib.urlopen(url)
result=dataHandle.read()
what= pickle.loads(result)
ans = {}
for key in what.keys():
    (mode,val) = what[key]
    if (mode=='single') :
        ans[key]=val[0]
    else :
        ans[key]=[1,12,1200]


extract=pickle.dumps(ans)


url = site+"iov/getTrendForTag?det=ECAL&service=cms_orcoff_prod&schema=CMS_COND_20X_ECAL&viacache=&tag=EcalPedestals_online&since=43464&till=50000&extractor="+urllib.quote_plus(extract)

dataHandle = urllib.urlopen(url)
result=dataHandle.read()
#if the result is pickled,
result=pickle.loads(result)
x=[]
y=[]
for entry in result:
    since,till,values = entry
    print since, till, values
    x.append(since)
    y.append(values[0])

pylab.ioff()
pylab.plot(x,y)
pylab.axis([min(x), max(x), 0.9*min(y), 1.1*max(y)])
pylab.draw()
pylab.savefig('alldone', dpi=300)
